Manufacturers
Manufacturers by Type
Show all manufacturers from specific type.
GET
/
manufacturers
/
type
/
{type_id}
Manufacturers by Type
curl --request GET \
--url https://api.remapdb.com/v2/manufacturers/type/{type_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/manufacturers/type/{type_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/manufacturers/type/{type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 1234,
"name": "Aston Martin",
"slug": "aston-martin",
"logo": "https://cdn.remapdb.com/static/assets/vdb/logos/am.svg",
"logo_dark": "https://cdn.remapdb.com/static/assets/vdb/logos/am.svg",
"type": {
"id": 1,
"name": "Cars & LCV"
}
}
],
"pagination": {
"cursor": null,
"limit": 50,
"next_cursor": 1234,
"has_more": true
}
}Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
Available options:
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs Example:
"en"
Path Parameters
Vehicle type ID.
Required range:
1 <= x <= 9007199254740991Example:
1
Query Parameters
Pagination cursor. Omit for first page; pass the previous next_cursor for next page.
Required range:
0 <= x <= 9007199254740991Number of items to return per page.
Required range:
1 <= x <= 100⌘I
Manufacturers by Type
